
local _, _, levoverride, firstlev = ...

local context

core_segments = persistence.load("segments")

loadfile("level_list.lua")()

local function run_level(lev)
  while true do
    assert(lev.name)
    local cl = runuifile("level.lua", lev.name)
    context = cl
    
    local message
    
    cl.message = function (message_in) message = message_in coroutine.yield() --[[ this yield is so we handle each message individually - we won't actually yield again so this doesn't cause framerate hitches, classy no ]] end
    
    while true do
      message = nil
      while not message do
        coroutine.yield()
      end

      if message == "yay" then
        if textses[lev.name .. "_exit"] then
          play_text(textses[lev.name .. "_exit"])
        end
        
        return 
      elseif message == "restart" then
        break
      else
        assert(false)
      end
    end
    
    cl.UIRoot:Detach()
  end
end


local logic


if levoverride then
  logic = coroutine.wrap(function()
    while true do
      run_level({name = levoverride})
    end
  end)
else
  logic = coroutine.wrap(function()
    for i = (firstlev or 1), #core_levels do
      run_level(core_levels[i])
      core_segments[core_levels[i].name] = true
      persistence.save()
    end
    
    GlorpController("exit_game")
  end)
end

function tick_loop(...)
  logic()
  if context and context.tick_loop then context.tick_loop(...) end
end
function render()
--[[
  if context then
    if context.render then
      context.render()
    end
    context.UIRoot:Render()
  end]]
end
