
mappieces = {
  ['outside_#'] = {0, 0,   1, 0,   1, 1,   0, 1, tex = "ground"},       -- solid
  ['outside_,'] = {1, 1,   0, 1,   1, 0.5, topl = 1, topr = 0.5, tex = "ground"}, -- empty triangle going up to the right
  ['outside_<'] = {0, 0.5,   1, 0,   1, 1,   0, 1, topl = 0.5, topr = 0, tex = "ground"}, -- full triangle going up to the right
  ['outside_.'] = {1, 1,   0, 1,   0, 0.5, topl = 0.5, topr = 1.0, tex = "ground"}, -- empty triangle going up to the left
  ['outside_>'] = {1, 0.5,   1, 1,   0, 1,   0, 0, topl = 0, topr = 0.5, tex = "ground"}, -- full triangle going up to the left
  ['outside_-'] = {1, 0.5,   1, 1,   0, 1,   0, 0.5, topl = 0.5, topr = 0.5, tex = "ground"}, -- half-height
  
  -- ceiling items
  ['outside_;'] = {0, 0,   1, 0,   1, 0.5,   0, 1, permit = true, tex = "ground"}, -- full triangle going up to the right
  ['outside_:'] = {0, 0.5,   0, 0,   1, 0, permit = true, tex = "ground"}, -- empty triangle going up to the right
  ['outside_\''] = {1, 1,   0, 0.5,   0, 0,   1, 0, permit = true, tex = "ground"}, -- full triangle going up to the left
  ['outside_"'] = {0, 0,   1, 0,   1, 0.5, permit = true, tex = "ground"}, -- empty triangle going up to the left
  ['outside_='] = {1, 0.5,   0, 0.5,   0, 0,   1, 0, permit = true, tex = "ground"}, -- half-height reverse
  
  ['slopeup1'] = {1, 1,   0, 1,   1, 0.75, topl = 1, topr = 0.75, tex = "ground"},
  ['slopeup2'] = {0, 0.75,   1, 0.5,   1, 1,   0, 1, topl = 0.75, topr = 0.5, tex = "ground"},
  ['slopeup3'] = {0, 0.5,   1, 0.25,   1, 1,   0, 1, topl = 0.5, topr = 0.25, tex = "ground"},
  ['slopeup4'] = {0, 0.25,   1, 0,   1, 1,   0, 1, topl = 0.25, topr = 0, tex = "ground"},
  
  
  ['slopedn1'] = {0, 0,   1, 0.25,   1, 1,   0, 1, topl = 0.75, topr = 0.5, tex = "ground"},
  ['slopedn2'] = {0, 0.25,   1, 0.5,   1, 1,   0, 1, topl = 0.5, topr = 0.25, tex = "ground"},
  ['slopedn3'] = {0, 0.5,   1, 0.75,   1, 1,   0, 1, topl = 0.25, topr = 0, tex = "ground"},
  ['slopedn4'] = {1, 1,   0, 1,   0, 0.75, topl = 1, topr = 0.75, tex = "ground"},
  
  
  [''] = {},
}

mappiece_layout = {
  {'outside_,', 'outside_<', 'outside_#', 'outside_>', 'outside_-', 'outside_.'},
  {'outside_;', 'outside_:', '', 'outside_"', 'outside_=', 'outside_\''},
  {'slopeup1', 'slopeup2', 'slopeup3', 'slopeup4'},
  {'slopedn1', 'slopedn2', 'slopedn3', 'slopedn4'},
}


entities = {
  robert = {tex = "dude_1", width = 2.5, height = 6.2, grid = true},
  field = {tex = "field", width = 12, height = 8, grid = true, flying = true},
  killzone = {tex = "field", width = 30, height = 30, flying = true, r = 1, g = 0, b = 0, a = 0.2},
  winzone = {tex = "field", width = 30, height = 30, flying = true, r = 0, g = 0, b = 1, a = 0.2},
  cavezone = {tex = "cave", width = 30, height = 30, flying = true, r = 1, g = 1, b = 1, a = 0.2, grid = true},
}

entity_layout = {
  {"robert"}, {"field"}, {"killzone", "winzone", "cavezone"}
}
